#
# Conditional build:
%bcond_without	glade3		# Glade3 catalog
%bcond_with	static_libs	# static library

%define		xfce_version	4.12.0
Summary:	Various GTK+ widgets for Xfce
Summary(pl.UTF-8):	Różne widgety GTK+ dla Xfce
Name:		libxfce4ui
Version:	4.12.1
Release:	2
License:	LGPL v2
Group:		X11/Libraries
Source0:	http://archive.xfce.org/src/xfce/libxfce4ui/4.12/%{name}-%{version}.tar.bz2
# Source0-md5:	ea9fad7d059fe8f531fe8db42dabb5a9
URL:		http://www.xfce.org/projects/libxfce4
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.8
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	gtk+3-devel >= 3.2.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gtk-doc-automake >= 1.0
BuildRequires:	intltool
%{?with_glade3:BuildRequires:	libgladeui-devel >= 3.5.0}
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xfce4-dev-tools >= 4.12.0
BuildRequires:	xfconf-devel >= %{xfce_version}
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
Requires:	%{name}-about
Requires:	glib2 >= 1:2.30.0
Requires:	gtk+2 >= 2:2.24.0
Requires:	gtk+3 >= 3.2.0
Requires:	libxfce4util >= %{xfce_version}
Requires:	startup-notification >= 0.8
Requires:	xfconf >= %{xfce_version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Various GTK+ widgets for Xfce.

%description -l pl.UTF-8
Różne widgety GTK+ dla Xfce.

%package about
Summary:	Information about the Xfce Desktop Environment
Summary(pl.UTF-8):	Informacje o środowisku graficznym Xfce
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description about
Information about the Xfce Desktop Environment.

%description about -l pl.UTF-8
Informacje o środowisku graficznym Xfce.

%package devel
Summary:	Development files for libxfce4ui library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxfc4ui
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.28.0
Requires:	gtk+2-devel >= 2:2.24.0
Requires:	libxfce4util-devel >= %{xfce_version}
Requires:	startup-notification-devel >= 0.8
#Requires:	xfconf-devel >= %{xfce_version}
Requires:	xfconf-devel >= 4.10.0
Requires:	xorg-lib-libSM-devel

%description devel
Development files for the libxfce4ui library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libxfce4ui.

%package static
Summary:	Static libxfce4ui library
Summary(pl.UTF-8):	Statyczna biblioteka libxfce4ui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxfce4ui library.

%description static -l pl.UTF-8
Statyczna biblioteka libxfce4ui.

%package apidocs
Summary:	libxfce4ui API documentation
Summary(pl.UTF-8):	Dokumentacja API libxfce4ui
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libxfce4ui API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxfce4ui.

%package -n glade3-libxfce4ui
Summary:	libxfce4ui support for Glade 3
Summary(pl.UTF-8):	Wsparcie dla libxfce4ui w Glade 3
Group:		Development/Building
Requires:	%{name} = %{version}-%{release}
Requires:	glade3 >= 3.5.0

%description -n glade3-libxfce4ui
libxfce4ui support for Glade 3.

%description -n glade3-libxfce4ui -l pl.UTF-8
Wsparcie dla libxfce4ui w Glade 3.

%prep
%setup -q

mkdir -p m4

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with glade3}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/glade3/modules/libxfce4uiglade.la
%{?with_static_libs:%{__rm} $RPM_BUILD_ROOT%{_libdir}/glade3/modules/libxfce4uiglade.a}
%endif
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
# just a copy of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxfce4kbd-private-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfce4kbd-private-2.so.0
%attr(755,root,root) %{_libdir}/libxfce4kbd-private-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfce4kbd-private-3.so.0
%attr(755,root,root) %{_libdir}/libxfce4ui-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfce4ui-1.so.0
%attr(755,root,root) %{_libdir}/libxfce4ui-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfce4ui-2.so.0
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml

%files about
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xfce4-about
%{_desktopdir}/xfce4-about.desktop
%{_iconsdir}/hicolor/48x48/apps/xfce4-logo.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4kbd-private-2.so
%attr(755,root,root) %{_libdir}/libxfce4kbd-private-3.so
%attr(755,root,root) %{_libdir}/libxfce4ui-1.so
%attr(755,root,root) %{_libdir}/libxfce4ui-2.so
%{_includedir}/xfce4/libxfce4kbd-private-2
%{_includedir}/xfce4/libxfce4kbd-private-3
%{_includedir}/xfce4/libxfce4ui-1
%{_includedir}/xfce4/libxfce4ui-2
%{_pkgconfigdir}/libxfce4kbd-private-2.pc
%{_pkgconfigdir}/libxfce4kbd-private-3.pc
%{_pkgconfigdir}/libxfce4ui-1.pc
%{_pkgconfigdir}/libxfce4ui-2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxfce4kbd-private-2.a
%{_libdir}/libxfce4ui-1.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%if %{with glade3}
%files -n glade3-libxfce4ui
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/glade3/modules/libxfce4uiglade.so
%{_datadir}/glade3/catalogs/libxfce4ui.xml
%{_datadir}/glade3/catalogs/libxfce4ui.xml.in
%{_datadir}/glade3/pixmaps/hicolor/*x*/actions/widget-libxfce4ui-xfce-titled-dialog.png
%endif
%changelog
* Fri Apr 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxfce4ui.git;a=log;h=master

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 97ab5e6
- noarch apidocs

* Sat Mar 28 2015 Jan Rękorajski <baggins@pld-linux.org> 05c1a77
- up to 4.12.1

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 3b01190
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 136ff41
- updated gettext BR

* Thu Aug 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 14a98a4
- updated dependencies

* Wed Aug 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 07be46e
- glade3 module requires base

* Wed Aug 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 2284d5c
- added glade3 bcond, unified subpackages order

* Sun Aug 17 2014 Jan Rękorajski <baggins@pld-linux.org> 0a01497
- added BR gtk3-devel

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> 6493e46
- updated files

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> 35ca365
- up to 4.11.1

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 5da5165
- rel 2
- don't obsolete libxfcegui4

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> e274398
- added about package

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 67fddf6
- static lib dropped

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 985b744
- update md5sum

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 9b29ea5
- xfce 4.10

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> f684a88
- 4.10.0

* Sun Oct 16 2011 Artur Frysiak <artur@frysiak.net> 0045100
- rel. 3

* Wed Mar 02 2011 Jan Rękorajski <baggins@pld-linux.org> aaf492a
- rel 2
- O: libxfcegui4 as all apps/plugins have been ported to libxfce4ui

* Mon Feb 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 83bf08d
- drop libtool file

* Fri Jan 28 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 0e4208a
- updated to 4.8.0

